%   lromdata         tappe=lromdata(leernaam,pulsnommer) bepaal die 32 tapgewigte vir die
%                    G3RUH-modem se 'pulsnommer'-ste puls uit die EPROM-inhoud in die binre
%                    ler 'leernaam' en stuur dit terug in die vektor 'tappe'.
%
%                    sien ook sromdata

% Johann Lochner (9/10/97)

% -----------------------------------------------------------------------------------------------

function [tappe]=lromdata(leernaam,pulsnommer)

pulsnommer=des2bin(pulsnommer);				% A13 A12 A11 A10
adres=pulsnommer*[2^13 2^12 2^11 2^10]';

fid=fopen(leernaam,'r');
eprom=fread(fid,inf,'char')';
fclose(fid);

for i=2:9
  tappe=[tappe eprom(adres+2^i+1:adres+2^i+4)];
end

tappe=tappe-tappe(1);
tappe=tappe/max(tappe);