%   sromdata         geheue=sromdata(tappe,leernaam) bereken die G3RUH-modem se EPROM-inhoud vir
%                    die 32 tapgewigte in die vektor 'tappe', stoor dit in 'n binre ler
%                    'leernaam' en stuur dit terug in die vektor 'geheue'.
%
%                    sien ook lromdata

% Johann Lochner (9/10/97)

% -----------------------------------------------------------------------------------------------

function [geheue]=sromdata(tappe,leernaam);

geheue(1024)=0;

for segment=0:255
  skuifregister=fliplr(des2bin2(segment));
  skuifregister=[skuifregister zeros(1,8-length(skuifregister))];
  for afset=1:4
    for bis=0:7
      if skuifregister(bis+1)==1
        geheue(segment*4+afset)=geheue(segment*4+afset)+tappe(bis*4+afset);
      end;
    end;
  end;
end;

geheue=geheue-min(geheue);
geheue=255*geheue/max(geheue);

fid=fopen(leernaam,'w');
fwrite(fid,geheue,'char')';
fclose(fid);